
body {
    background-color: #ffffff; /*original darkgray*/
    font: 15px arial, sans-serif;
}

h1 {
    color: navy;
    margin-left: 20px;
}
/*******************************************************/
/* Main content */
.main {
    /*margin-top: 4%; /* Add a top margin to avoid content overlay */
    /*background-image: linear-gradient(darkgray, lightgray);*/
    margin-top: 5%; /* Add a top margin to avoid content overlay */
    margin-bottom: 5%; /* Add a bottom margin to avoid content overlay */
    font: 15px arial, sans-serif;
}

/* login content */
.login {
    margin-top: 10%; /* Add a top margin to avoid content overlay */
    margin-left: 10%; /* Add a top margin to avoid content overlay */
    margin-right: 10%; /* Add a top margin to avoid content overlay */
    border-style: groove;
    border-radius: 0px; /*8 original*/

}


/*******************************************************/
/*General form properties*/
/*******************************************************/

/* Style inputs, select elements and textareas */
div.default{
  border-radius: 0px; /*4original*/
}


/* Style inputs, select elements and textareas */
input.default{
  /*width: 50%;*/
  padding: 5px;
  border: 1px solid #ccc;
  border-radius: 0px; /*4original*/
  box-sizing: border-box;
  resize: vertical;
}

input.select, textarea, select{
  /*width: 100%;*/
  padding: 5px;
  border: 1px solid #ccc;
  border-radius: 0px; /*4 original*/
  box-sizing: border-box;
  resize: vertical;
}

input.textread{
  /*width: 100%;*/
  padding: 5px;
  /*border: 1px solid #ccc;
  border-radius: 4px;*/
  border: hidden;
  box-sizing: border-box;
  resize: vertical;
  font-style: italic;
  background-color: inherit;
}

input.textedit{
  /*width: 100%;*/
  padding: 5px;
  border: 1px solid #ccc;
  border-radius: 0px; /*4 original*/
  box-sizing: border-box;
  resize: vertical;
  background-color: white;
 /* float: left; */
}
input[type=password]{
  /*width: 50%;*/
  padding: 5px;
  border: 1px solid #ccc;
  border-radius: 0px; /*4 original*/
  box-sizing: border-box;
  resize: vertical;
  /*background-color: white;*/
}

/* Style the label to display next to the inputs */
label {
  font-weight: 200;
  padding: 5px 5px 5px 0;
  display: inline-block;
}

/* Style the submit button */
input[type=submit] {
 /* background-color: #4CAF50;*/
  background-color: blue;
  color: white;
  padding: 12px 20px;
  border: none;
  border-radius: 0px; /*4 original*/
  cursor: pointer;
  float: right;
  box-shadow: inset 0 3px 6px rgba(0,0,0,0.16), 0 4px 6px rgba(0,0,0,0.45);
  border-radius: 5px;  
}

/* Style the submit button */
input[type=button] {
 /* background-color: #4CAF50;*/
  background-color: blue;
  color: white;
  padding: 5px 5px;
  border: none;
  /*border-radius: 4px;*/
  cursor: pointer;
  float: right;
  box-shadow: inset 0 3px 6px rgba(0,0,0,0.16), 0 4px 6px rgba(0,0,0,0.45);
  border-radius: 5px;
}
/* Style the submit button */
button {
 /* background-color: #4CAF50;*/
  background-color: blue;
  color: white;
  padding: 5px 5px;
  border: none;
  /*border-radius: 4px;*/
  cursor: pointer;
 /* float: right;*/
   box-shadow: inset 0 3px 6px rgba(0,0,0,0.16), 0 4px 6px rgba(0,0,0,0.45);
  border-radius: 5px;
}

/* Style the btn button */
button.btn {
 /* background-color: #4CAF50;*/
  background-color: inherit;
  color: black;
  padding: 0px;
  /*border-radius: 4px;*/
  cursor: pointer;
  float: right;
}


/* Style the container */
.container {
  border-radius: 5px;
  background-color: background; /*original #f2f2f2*/
  
  /*width: 100%*/
  padding: 5px;
 /* margin-top: 5%; /* Add a top margin to avoid content overlay */
  box-shadow: inset 0 3px 6px rgba(0,0,0,0.16), 0 4px 6px rgba(0,0,0,0.45);
  border-radius: 0px; /*10original*/

}

/* Style the list */
.list {
/*  border-radius: 5px;*/
/*  background-color: #f2f2f2;*/
  width: 100%;
  padding: 5px;
 /* margin-top: 5%; /* Add a top margin to avoid content overlay */
  box-shadow: inset 0 3px 6px rgba(0,0,0,0.16), 0 4px 6px rgba(0,0,0,0.45);
  border-radius: 0px;/*10 original*/

}

/* Style the title */
.title {
  /*border-radius: 5px;*/
  /*background-color: #333;*/
  color: black;
  width: 30%;
  /*padding: 5px;*/
 /* margin-top: 5%; /* Add a top margin to avoid content overlay */

}

/* Style the grp */
.grp {
/*  border-radius: 5px;*/
/*  background-color: #f2f2f2;*/
  border-bottom: 1px solid darkgray;
  border-top: 1px solid darkgray;
  width: 100%;
  padding: 5px;
 /* margin-top: 5%; /* Add a top margin to avoid content overlay */
  box-shadow: inset 0 3px 6px rgba(0,0,0,0.16), 0 4px 6px rgba(0,0,0,0.45);
  border-radius: 0px; /*10 original*/
}



/* Floating column for labels: 25% width */
.col-25 {
  float: left;
  width: 25%;
  margin-top: 6px;
}

/* Floating column for inputs: 75% width */
.col-75 {
  float: left;
  width: 75%;
  margin-top: 6px;
}

/* Floating column for inputs: 70% width */
.col-70 {
  float: left;
  width: 70%;
  margin-top: 6px;
}

/* Floating column for inputs: 20% width */
.col-20 {
  float: left;
  width: 20%;
  margin-top: 6px;
}

/* Floating column for inputs: 10% width */
.col-10 {
  float: left;
  width: 10%;
  margin-top: 6px;
}
/* Floating column for inputs: 100% width */
.col-100 {
  float: left;
  width: 100%;
  margin-top: 6px;
  border: 1px solid black;
}
/* Floating column for inputs: 50% width */
.col-50 {
  float: left;
  width: 50%;
  margin-top: 6px;
}

/* Clear floats after the columns */
.row:after {
  content: "";
  display: table;
  clear: both;
}

/* Responsive layout - when the screen is less than 600px wide, make the two columns stack on top of each other instead of next to each other */
@media screen and (max-width: 1000px) {
  .col-25, .col-75, input[type=submit] {
    width: 100%;
    margin-top: 0;
  }
}


/*******************************************************/
/*General top navigation properties*/
/*******************************************************/

/* Add a black background color to the top navigation */
.topnav {
    /*background-color: #333, 0.5;*/
   background-color:rgba(0, 0, 0, 1);
    overflow: hidden;
    position: fixed; /* Set the navbar to fixed position */
    top: 0; /* Position the navbar at the top of the page */
    width: 100%; /* Full width */
  box-shadow: inset 0 3px 6px rgba(0,0,0,0.16), 0 4px 6px rgba(0,0,0,0.45);
  border-radius: 0px;    /*original 10*/

}

/* Style the links inside the navigation bar */
.topnav a {
    float: left;
    display: block;
    color: #f2f2f2;
    /*color: black;*/
    text-align: left;
    padding: 14px 16px;
    text-decoration: none;
    font-size: 17px;
    /*background-color:rgba(0, 0, 0, 0.5)*/
}

/* Change the color of links on hover */
.topnav a:hover {
    background-color: #ddd;
    color: black;
}

/* Add an active class to highlight the current page */
.active {
    /*background-color: #4CAF50;*/
    background-color: blue;    
    color: white;
}

/* Hide the link that should open and close the topnav on small screens */
.topnav .icon {
    display: none;
}

/* When the screen is less than 600 pixels wide, hide all links, except for the first one ("Home"). Show the link that contains should open and close the topnav (.icon) */
@media screen and (max-width: 700px) {
  .topnav a:not(:first-child) {display: none;}
  .topnav a.icon {
    float: right;
    display: block;
  }
}

/* The "responsive" class is added to the topnav with JavaScript when the user clicks on the icon. This class makes the topnav look good on small screens (display the links vertically instead of horizontally) */
@media screen and (max-width: 700px) {
  .topnav.responsive {position: relative;}
  .topnav.responsive a.icon {
    position: absolute;
    right: 0;
    top: 0;
  }
  .topnav.responsive a {
    float: none;
    display: block;
    text-align: left;
  }
}

/* userDropdown Content (Hidden by Default) */
.userdropdown{
  display: none;
  position: absolute;
  /*background-color: #f1f1f1;*/
  background-color: blue;
  min-width: 160px;
  box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
  z-index: 1;
}

.show {display: block;}


/* Search Results (background) */
.searchresults {
    display:        none; /* Hidden by default */
    position:       fixed; /* Stay in place */
    z-index:        1; /* Sit on top */
    padding:        5px; /* internal margin */
    left:           10%;
    top:            10%; 
    width:          75%; /* 3/4 Full width */
    height:         75%; /* 3/4 Full height */
    overflow:       auto; /* Enable scroll if needed */
    /*background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.5); /* Black w/ opacity */
    background-color: lightslategrey; /* Black w/ opacity */
    margin:         auto;
    /*border-radius: 5px;*/
    box-shadow: inset 0 3px 6px rgba(0,0,0,0.16), 0 4px 6px rgba(0,0,0,0.45);
    border-radius: 10px;
}

/* Add a black background color to the top navigation */
.footer {
    background-color: #333;
    overflow: hidden;
    position: fixed; /* Set the footr to fixed position */
    bottom: 0; /* Position the footer at the bottom of the page */
    width: 98%; /* Full width */
    padding: 2px;
    padding-right: 10px;
    padding-left: 10px;
  box-shadow: inset 0 3px 6px rgba(0,0,0,0.16), 0 4px 6px rgba(0,0,0,0.45);
  border-radius: 0px; /*10 original*/
}